I have a powerbook g4 with OS X 10.5.8 ,how can I upgrade to OS X 10.6?

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

3 Answers from the Community

  • Best Answer:

    You can't. Snow Leopard requires an Intel CPU, and you have a PowerPC G4 CPU.

    Was this useful? Answer 1

    6 of 6 people found this useful

  • Unfortunately, no. Snow Leopard must have a Mac with an Intel-processor. The G4 is not an Intel-processor.

    Was this useful? Answer 2

    5 of 5 people found this useful

  • You can't upgrade a G4 above 10.5.8.

    Was this useful? Answer 3

    5 of 6 people found this useful

Related Questions